import React from 'react';
interface CardProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    onClick?: () => void;
}
declare const Card: {
    (props: CardProps): JSX.Element;
    Image: (props: CardImageProps) => JSX.Element;
    Body: (props: CardBodyProps) => JSX.Element;
};
interface CardImageProps extends React.HTMLAttributes<HTMLImageElement> {
    imageSrc: string;
    imageAlt: string;
    containerClassName?: string;
    imageClassName?: string;
    imageAttribution?: string;
}
interface CardBodyProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    outerContainerClassName?: string;
    innerContainerClassName?: string;
}
export default Card;
