import React from 'react';
interface Props extends React.TextareaHTMLAttributes<HTMLTextAreaElement> {
    initialValue?: string;
    value?: string;
    handleValueChange?: (val: string) => void;
    handleInternalValue?: (val: string) => void;
    className?: string;
}
declare const TextArea: (props: Omit<Props, 'inputMode'>) => JSX.Element;
export default TextArea;
