import React from 'react';
interface Props extends React.HTMLAttributes<HTMLDivElement> {
    body: React.ReactNode;
    footer?: React.ReactNode;
    open?: boolean;
    titleText?: string;
    containerClass?: string;
    titleContainerClass?: string;
    titleClass?: string;
    bodyContainerClass?: string;
    footerContainerClass?: string;
    handleToggle?: (openStatus: boolean) => void;
    handleClose?: () => void;
    plain?: boolean;
}
declare const Modal: (props: Props) => JSX.Element;
export default Modal;
