/// <reference path="../../src/@types/tw-react/index.d.ts" />
import { UsePaginationProps } from "tw-react";
declare enum Bumpers {
    Left = "LEFT_BUMPER",
    Right = "RIGHT_BUMPER"
}
declare const usePagination: (props: UsePaginationProps) => {
    totalResults: number;
    resultsPerPage: number;
    initialPage: number;
    handlePageChange: (values: TwReact.HandlePageChangeArgs) => void;
    pageRange: number;
    totalPages: number;
    currentPage: number;
    handlePageClick: (page: number) => void;
    advanceLeft: () => void;
    advanceRight: () => void;
    buildPageNumbers: () => any[];
    bumpers: typeof Bumpers;
};
export default usePagination;
