import React from 'react';
import DayPickerInput from 'react-day-picker/DayPickerInput';
import 'react-day-picker/lib/style.css';
interface Props extends React.HTMLAttributes<HTMLDivElement> {
    value: Date | undefined;
    onDayChange: (day: Date, modifiers: Object, dayPickerInput: DayPickerInput) => void;
    placeholder?: string;
    containerClassName?: string;
    overlayClassName?: string;
    overlayWrapperClassName?: string;
    inputClassName?: string;
}
declare const DatePicker: (props: Props) => JSX.Element;
export default DatePicker;
