import React from 'react';
interface Props extends React.InputHTMLAttributes<HTMLInputElement> {
    initialValue?: string;
    value?: string;
    handleValueChange?: (val: string) => void;
    handleInternalValue?: (val: string) => void;
    inputClass?: string;
    leftIcon?: React.ReactNode;
    iconClass?: string;
}
declare const Input: (props: Omit<Props, 'inputMode'>) => JSX.Element;
export default Input;
